org.gradle.ide.xcode.tasks

## Class GenerateXcodeWorkspaceFileTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile>
          - - org.gradle.ide.xcode.tasks.GenerateXcodeWorkspaceFileTask

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class GenerateXcodeWorkspaceFileTask
      extends XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile>

  Task for generating a workspace file.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateXcodeWorkspaceFileTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configure(org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile workspaceFile)`
    `protected org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile` | `create()`
    `File` | `getInputFile()` The input file to load the initial configuration from.
    `FileCollection` | `getXcodeProjectLocations()`
    `void` | `setXcodeProjectLocations(FileCollection xcodeProjectLocations)`

    - ### Methods inherited from class org.gradle.plugins.ide.api.XmlGeneratorTask

      `getXmlTransformer`

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateXcodeWorkspaceFileTask

          public GenerateXcodeWorkspaceFileTask()

  - ### Method Detail

    - #### configure

          protected void configure(org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile workspaceFile)

      Specified by:
        `configure` in class `XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile>`

    - #### create

          protected org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile create()

      Specified by:
        `create` in class `XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile>`

    - #### getXcodeProjectLocations

          @InputFiles
          public FileCollection getXcodeProjectLocations()

    - #### setXcodeProjectLocations

          public void setXcodeProjectLocations(FileCollection xcodeProjectLocations)

    - #### getInputFile

          public File getInputFile()

      Description copied from class: `GeneratorTask`
      The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
      Overrides:
        `getInputFile` in class `GeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceFile>`
      Returns:
        The input file.